Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jboss.txbridge.ba.annotation
Enum BACompensationOrder

    java.lang.Object
      java.lang.Enum<BACompensationOrder>
          org.jboss.txbridge.ba.annotation.BACompensationOrder

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<BACompensationOrder>

    public enum BACompensationOrder

extends java.lang.Enum<BACompensationOrder>

List of supported compensation order types. Compensation order defines if the compensation action should be executed as the first, the last one or normally among other compensation actions of a Business Activity.

Version:
  0.1
Author:
  Maciej P. Machulak (mmachulak@redhat.com)

Enum Constant Summary
`FIRST`
`LAST`
`NORMAL`

Method Summary
`static BACompensationOrder` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static BACompensationOrder[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NORMAL

    public static final BACompensationOrder NORMAL

### FIRST

    public static final BACompensationOrder FIRST

### LAST

    public static final BACompensationOrder LAST

Method Detail

### values

    public static final BACompensationOrder[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(BACompensationOrder c : BACompensationOrder.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static BACompensationOrder valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD